Debian Bug report logs - #453313
developers-reference: Please add a set of best practices for sponsoring packages

version graph

Package: developers-reference; Maintainer for developers-reference is Developers Reference Maintainers <debian-policy@lists.debian.org>; Source for developers-reference is src:developers-reference.

Reported by: Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>

Date: Wed, 28 Nov 2007 16:48:13 UTC

Severity: wishlist

Tags: patch

Found in version developers-reference/3.3.8

Fixed in version developers-reference/3.4.5

Done: David Prévot <taffit@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ramakrishnan Muthukrishnan <vu3rdd@radio>, Debian Documentation Project <debian-doc@lists.debian.org>:
Bug#453313; Package developers-reference. Full text and rfc822 format available.

Acknowledgement sent to Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>:
New Bug report received and forwarded. Copy sent to Ramakrishnan Muthukrishnan <vu3rdd@radio>, Debian Documentation Project <debian-doc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: developers-reference: Please add a set of best practices for sponsoring packages
Date: Wed, 28 Nov 2007 22:02:45 +0530 (IST)
Package: developers-reference
Version: 3.3.8
Severity: wishlist

Hi,

Recently I made a mistake of hastily sponsoring a package which 
contained an i386 binary but was set for all architectures. It 
will be nice if a set of guidelines or checklists on sponsored 
packages are listed under section 7.5.2. Some of the guidelines 
are listed under this thread. 

 http://lists.debian.org/debian-project/2007/11/msg00183.html

Also see bug #452804.

Thanks
Ramakrishnan

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23.1 (PREEMPT)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

developers-reference depends on no packages.

Versions of packages developers-reference recommends:
ii  debian-policy                 3.7.2.2    Debian Policy Manual and related d

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#453313; Package developers-reference. (Thu, 10 Feb 2011 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Thu, 10 Feb 2011 13:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 453313@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 453313@bugs.debian.org, Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>
Cc: control@bugs.debian.org
Subject: Patch with best practices for sponsorship
Date: Thu, 10 Feb 2011 14:15:39 +0100
[Message part 1 (text/plain, inline)]
tag 453313 + patch
thanks

Hi,

please find attached a proposed patch for this bug. Any review/ack welcome.

Since the patch might not be very readable, I'll paste here the
rewritten section (beware, it's rather long):

----
<section id="sponsoring">
<title>Sponsoring packages</title>
<para>
Sponsoring a package means uploading a package for a maintainer who is not able
to do it on their own. It's not a trivial matter, the sponsor must verify
the packaging and ensure that it is of the high level of quality that
Debian strives to have.
</para>
<para>
Any Debian Developer can sponsor packages. Debian Maintainers can't. 
</para>
<para>
The process of sponsoring a package is:
<orderedlist numeration="arabic">
<listitem>
<para>The maintainer prepares a source package (.dsc) and puts it online somewhere (like on mentors.debian.net).</para>
</listitem>
<listitem>
<para>The sponsor downloads the source package.</para>
</listitem>
<listitem>
<para>The sponsor reviews the source package. If she finds issues, she informs the maintainer and asks her to provide a fixed version (the process starts over at step 1).</para>
</listitem>
<listitem>
<para>The sponsor could not find any remaining problem. She builds the package, signs it, and uploads it to Debian.</para>
</listitem>
</orderedlist>
</para>
<para>
But before delving in the details of how to sponsor a package, you should
ask yourself whether adding the proposed package is beneficial to Debian.
</para>
<para>
There's no simple rule to answer this question, it can depend on many
factors: is the upstream codebase mature and not full of security holes?
Are there pre-existing packages that can do the same task and how do they
compare to this new package? Has the new package been requested by users
and how large is the userbase? How active are the upstream developers?
</para>
<para>
You should also ensure that the prospective maintainer is going
to be a good maintainer. Does she already have some experience with other
packages? If yes, is she doing a good job with them (check out some bugs)?
Is she familiar with the package and its programming language?
Does she have the skills needed for this package? If not, is she able
to learn them?
</para>
<para>
It's also a good idea to know where she stands towards Debian: does
she agree with Debian's philosophy and does she intend to join Debian?
Given how easy it is to become a Debian Maintainer, you might want
to only sponsor people who plan to join. That way you know from the start
that you won't have to act as a sponsor indefinitely.
</para>
<section id="sponsoring-new-package">
<title>Sponsoring a new package</title>
<para>
New maintainers usually have certain difficulties creating Debian packages —
this is quite understandable. They will do mistakes. That's why sponsoring
a brand new package into Debian requires a thorough review of the Debian
packaging. Sometimes several iterations will be needed until the package
is good enough to be uploaded to Debian. Thus being a sponsor implies being
a mentor.
</para>
<para>
Don't ever sponsor a new package without reviewing it. The review
of new packages done by ftpmasters mainly ensures that the software
is really free, it does not verify the package's quality. This is your task.
</para>
<para>
Building the package and testing the software is part of the review, but
it's also not enough. The rest of this section contains a non-exhaustive
list of points to check in your review.
<footnote>
<para>
You can find more checks in the wiki: several developers share their own
sponsorship checklists at <ulink url="http://wiki.debian.org/SponsorChecklist"/>.
</para>
</footnote>
</para>
<itemizedlist>
<listitem>
<para>Verify that the upstream tarball provided is the same that has been
distributed by the upstream author (when the sources are repackaged for
Debian, generate the modified tarball yourself).</para>
</listitem>
<listitem>
<para>Run lintian (see <xref linkend="lintian"/>). It will catch many common
problems. Be sure to verify that any lintian overrides setup by the
maintainer is fully justified.</para>
</listitem>
<listitem>
<para>Run licensecheck (part of <xref linkend="devscripts"/>) and verify that
<filename>debian/copyright</filename> seems correct and complete. Look for
license problems (like files with “All rights reserved”
headers, or with a non-DFSG compliant license).</para>
</listitem>
<listitem>
<para>Build the package with pbuilder (or any similar tool, see <xref
linkend="pbuilder"/>) to ensure that the build-dependencies are
complete.</para>
</listitem>
<listitem>
<para>Proofread <filename>debian/control</filename>: does it follow the
best practices (see <xref linkend="bpp-debian-control"/>)? Are the dependencies
complete?</para>
</listitem>
<listitem>
<para>Proofread <filename>debian/rules</filename>: does it follow the
best practices (see <xref linkend="bpp-debian-rules"/>)? Do you see some
possible improvements?</para>
</listitem>
<listitem>
<para>Proofread the maintainer scripts (preinst, postinst, prerm, postrm,
config): will the preinst/postrm work when the dependencies are not
installed? Are all the scripts idempotent (i.e. can you run them multiple
times without consequences)?</para>
</listitem>
<listitem>
<para>Review any change to upstream files (either in .diff.gz, or in
<filename>debian/patches/</filename> or directly embedded in the debian
tarball for binary files). Are they justified? Are they properly
documented (with <ulink url="&url-dep3;">DEP-3</ulink> for patches)?</para>
</listitem>
<listitem>
<para>For every file, ask yourself why the file is there and whether it's
the right way to achieve the desired result. Is the maintainer following
the best packaging practices (see <xref
linkend="best-pkging-practices"/>)?</para>
</listitem>
<listitem>
<para>Build the packages, install them and try the software. Ensure you can
remove and purge the packages. Maybe test them with piuparts.
</para>
</listitem>
</itemizedlist>
<para>
If the audit did not reveal any problem, you can build the package and
upload it to Debian. But remember that even if you're not the maintainer,
the sponsor is still responsible of what he uploaded to Debian. That's
why you're encouraged to keep up with the package through the
<xref linkend="pkg-tracking-system"/>.
</para>
<para>
Note that you should not need to modifiy the source package to put your name
in the changelog or in the control file. The <literal>Maintainer</literal>
field of the <filename>control</filename> file and the
<filename>changelog</filename> should list the person who did the
packaging, i.e. the sponsoree. That way she will get all the BTS mail.
</para>
<para>Instead you should instruct dpkg-buildpackage to use your key for
the signature. You do that with the -k option:</para>
<screen>
dpkg-buildpackage -k<replaceable>KEY-ID</replaceable>
</screen>
<para>If you use debuild and debsign, you can even configure it permanently
in <filename>~/.devscripts</filename>:</para>
<programlisting>
DEBSIGN_KEYID=<replaceable>KEY-ID</replaceable>
</programlisting>
</section>

<section id="sponsoring-update">
<title>Sponsoring an update of an existing package</title>
<para>
You will usually assume that the package has already gone through a full
review. So instead of doing it again, you will carefully analyze the
difference between the current version and the new version prepared by the
maintainer. If you have not done the initial review yourself, you might
still want to have a more deeper look just in case the initial reviewer
was sloppy.
</para>
<para>
To be able to analyze the difference you need both versions. Download the
current version of the source package (with <command>apt-get source</command>)
and rebuild it (or download the current binary packages with
<command>aptitude download</command>). Download the source package to sponsor
(usually with <command>dget</command>).
</para>
<para>
Read the new changelog entry, it should tell you what to expect during the
review. The main tool you will use is <command>debdiff</command> (provide by
the devscripts package), you can run it with two source packages (.dsc
files), or two binary packages, or two .changes files (it will then
compare all the binary packages listed in the .changes).
</para>
<para>
If you compare the source packages (excluding upstream files in the case
of a new upstream version, for example by filtering the output of debdiff
with <command>filterdiff -i '*/debian/*'</command>), you must understand all the
changes you see and they should be properly documented in the Debian
changelog.
</para>
<para>
If everything is fine, build the package and compare the binary packages
to verify that the changes on the source package have no unexpected
consequences (like some files dropped by mistake, missing dependencies,
etc.).
</para>
<para>
You might want to check out the Package Tracking System (see <xref
linkend="pkg-tracking-system"/>) to verify if the
maintainer has not missed something important. Maybe there are translations
updates sitting in the BTS that could have been integrated. Maybe the package
has been NMUed and the maintainer forgot to integrate the changes from the
NMU in his package. Maybe there's a release critical bug that he has left
unhandled and that's blocking migration to testing. Whatever. If you find
something that she could have done (better), it's time to tell her so that
she can improve for next time. And so that she has a better understanding
of her responsibilities.
</para>
<para>
If you have found no major problem, upload the new version. Otherwise
ask the maintainer to provide you a fixed version.
</para>
</section>
</section>
-----

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[patch (text/plain, attachment)]

Added tag(s) patch. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 10 Feb 2011 13:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#453313; Package developers-reference. (Mon, 14 Feb 2011 04:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ramakrishnan Muthukrishnan <rkrishnan@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Mon, 14 Feb 2011 04:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 453313@bugs.debian.org (full text, mbox):

From: Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 453313@bugs.debian.org
Subject: Re: Patch with best practices for sponsorship
Date: Mon, 14 Feb 2011 10:03:01 +0530
On Thu, Feb 10, 2011 at 6:45 PM, Raphael Hertzog <hertzog@debian.org> wrote:
>
> please find attached a proposed patch for this bug. Any review/ack welcome.
>
> Since the patch might not be very readable, I'll paste here the
> rewritten section (beware, it's rather long):

Hi there,

Read through the text and it looks very very good to me. Thanks. Will
be great if this text can be committed into the Reference Manual.

Ramakrishnan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#453313; Package developers-reference. (Wed, 16 Feb 2011 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Wed, 16 Feb 2011 01:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 453313@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 453313@bugs.debian.org
Cc: Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>
Subject: Re: Bug#453313: Patch with best practices for sponsorship
Date: Wed, 16 Feb 2011 10:09:56 +0900
Le Thu, Feb 10, 2011 at 02:15:39PM +0100, Raphael Hertzog a écrit :
> 
> please find attached a proposed patch for this bug. Any review/ack welcome.

Dear Raphaël,

here are a couple of comments :

> <para>
> Any Debian Developer can sponsor packages. Debian Maintainers can't. 
> </para>

Only Debian Developers with upload rights can. I propose to either write this
explicitely, or remove the word “Any”.


> <para>The maintainer prepares a source package (.dsc) and puts it online somewhere (like on mentors.debian.net).</para>

I wish that we would encourage more the developers to use version control
systems. How about:

  The maintainer prepares a source package and uploads it somewhere (like on
  mentors.debian.net) or provides a link to a revision in a publicly available
  version control system (like on alioth.debian.net).


> <para>The sponsor downloads the source package.</para>

  The sponsor downloads or checkouts the source package.


> Don't ever sponsor a new package without reviewing it. The review
> of new packages done by ftpmasters mainly ensures that the software
> is really free, it does not verify the package's quality. This is your task.

I wonder if this gives the impression that it is the FTP teams's job to do the
full review of the package. In my understanding, its job is to make sure that
the review has been done maintainer, which is not exactly the same, even if it
implies re-doing the check from scratch :) How about :

  Don't ever sponsor a new package without reviewing it. It is your task
  to make sure that the package is realy free and of high quality. Note that
  while the FTP team will check in detail your review of the package's
  copyright and license, only the most severe quality issues will cause the
  package to be rejected (See http://ftp-master.debian.org/REJECT-FAQ.html).


> <para>Run licensecheck (part of <xref linkend="devscripts"/>) and verify that
> <filename>debian/copyright</filename> seems correct and complete. Look for
> license problems (like files with “All rights reserved”
> headers, or with a non-DFSG compliant license).</para>

Licensecheck has many false negatives. How adding:

  Double-check with grep -ri that nothing was forgotten with keywords like
  copyright, author or license.


If you like those changes, I can prepare them as a proper patch.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Developers Reference Maintainers <debian-policy@lists.debian.org>:
Bug#453313; Package developers-reference. (Thu, 17 Feb 2011 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Developers Reference Maintainers <debian-policy@lists.debian.org>. (Thu, 17 Feb 2011 09:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 453313@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Charles Plessy <plessy@debian.org>
Cc: 453313@bugs.debian.org
Subject: Re: Bug#453313: Patch with best practices for sponsorship
Date: Thu, 17 Feb 2011 10:18:35 +0100
[Message part 1 (text/plain, inline)]
On Wed, 16 Feb 2011, Charles Plessy wrote:
> Dear Raphaël,
> 
> here are a couple of comments :

Ok, I integrated your comments. A new revision of the patch is attached.

> Only Debian Developers with upload rights can. I propose to either write this
> explicitely, or remove the word “Any”.

I dropped the "any".

> I wish that we would encourage more the developers to use version control
> systems. How about:
> 
>   The maintainer prepares a source package and uploads it somewhere (like on
>   mentors.debian.net) or provides a link to a revision in a publicly available
>   version control system (like on alioth.debian.net).

I have now:
<para>The maintainer prepares a source package (.dsc) and puts it online
somewhere (like on mentors.debian.net). Or even better, she provides
a link to a <xref linkend="servers-vcs">public VCS repository</link> where
the package is maintained.</para>

<para>The sponsor downloads (or checkouts) the source package.</para>

> I wonder if this gives the impression that it is the FTP teams's job to do the
> full review of the package. In my understanding, its job is to make sure that
> the review has been done maintainer, which is not exactly the same, even if it
> implies re-doing the check from scratch :) How about :
> 
>   Don't ever sponsor a new package without reviewing it. It is your task
>   to make sure that the package is realy free and of high quality. Note that
>   while the FTP team will check in detail your review of the package's
>   copyright and license, only the most severe quality issues will cause the
>   package to be rejected (See http://ftp-master.debian.org/REJECT-FAQ.html).

I don't really think it's relevant. I have still reworded the para, it's
now:

Don't ever sponsor a new package without reviewing it. The review
of new packages done by ftpmasters mainly ensures that the software
is really free. Of course, it happens that they stumble on packaging
problems but they really should not. It's your task to ensure that
the uploaded package complies with the Debian Free Software Guidelines and
is of good quality.

>   Double-check with grep -ri that nothing was forgotten with keywords like
>   copyright, author or license.

I only added: <command>grep -ri</command> is your friend for this task.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[patch (text/plain, attachment)]

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 13:33:13 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <taffit@debian.org>:
You have taken responsibility. (Thu, 23 Jun 2011 19:36:08 GMT) Full text and rfc822 format available.

Notification sent to Ramakrishnan Muthukrishnan <rkrishnan.debian@gmail.com>:
Bug acknowledged by developer. (Thu, 23 Jun 2011 19:36:09 GMT) Full text and rfc822 format available.

Message #34 received at 453313-close@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 453313-close@bugs.debian.org
Subject: Bug#453313: fixed in developers-reference 3.4.5
Date: Thu, 23 Jun 2011 19:33:00 +0000
Source: developers-reference
Source-Version: 3.4.5

We believe that the bug you reported is fixed in the latest version of
developers-reference, which is due to be installed in the Debian FTP archive:

developers-reference-de_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-de_3.4.5_all.deb
developers-reference-fr_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-fr_3.4.5_all.deb
developers-reference-ja_3.4.5_all.deb
  to main/d/developers-reference/developers-reference-ja_3.4.5_all.deb
developers-reference_3.4.5.dsc
  to main/d/developers-reference/developers-reference_3.4.5.dsc
developers-reference_3.4.5.tar.bz2
  to main/d/developers-reference/developers-reference_3.4.5.tar.bz2
developers-reference_3.4.5_all.deb
  to main/d/developers-reference/developers-reference_3.4.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Prévot <taffit@debian.org> (supplier of updated developers-reference package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 Jun 2011 13:56:46 -0400
Source: developers-reference
Binary: developers-reference developers-reference-de developers-reference-fr developers-reference-ja
Architecture: source all
Version: 3.4.5
Distribution: unstable
Urgency: low
Maintainer: Developers Reference Maintainers <debian-policy@lists.debian.org>
Changed-By: David Prévot <taffit@debian.org>
Description: 
 developers-reference - guidelines and information for Debian developers
 developers-reference-de - guidelines and information for Debian developers, in German
 developers-reference-fr - guidelines and information for Debian developers, in French
 developers-reference-ja - guidelines and information for Debian developers, in Japanese
Closes: 453313 548867 619990 623489 623512
Changes: 
 developers-reference (3.4.5) unstable; urgency=low
 .
   * Team upload.
 .
   [ Gerfried Fuchs ]
   * Remove part about -v for package uploads from experimental to unstable,
     version tracking removed that requirement.
 .
   [ Raphaël Hertzog ]
   * Rework section on "sponsoring packages" and include a basic
     checklist for the sponsor. Closes: #453313
   * Update the "Debian Developer's Duties" chapter to be more explicit
     about duties of package maintainers. Closes: #548867
   * Update references to merkel (which is decommissionned) where
     needed. Closes: #619990
     Thanks to Charles Plessy for the patch.
   * Many typos fixed by Chris Leick <c.leick@vollbio.de>. Closes: #623512
 .
   [ Chris Leick ]
   * Initial German translation.
 .
   [ David Prévot ]
   * Activate German package. Closes: #623489
   * Update French translation.
   * Bump Standards-Version to 3.9.2. No changes needed.
   * Add build-arch and build-indep targets.
   * Explicitly refer to GPL-2 file in debian/copyright.
 .
   [ Hideki Yamane ]
   * Update Japanese translation.
Checksums-Sha1: 
 d60c87880daa6665b0535c4ef99daffc6c017b0e 1906 developers-reference_3.4.5.dsc
 c29a514400798b388f6ae7805e3974ef8b885cb2 608140 developers-reference_3.4.5.tar.bz2
 68511e26d61c373e317f2926b062eebc2191b0cf 727862 developers-reference_3.4.5_all.deb
 22f50ae2a189a66b6ed37371909d06218e4210ba 800986 developers-reference-de_3.4.5_all.deb
 eceab27f47bfb22e48abc7e1b9a65dcf554b9dc8 787194 developers-reference-fr_3.4.5_all.deb
 a7f43815664efaf446281572e93d920207554310 277530 developers-reference-ja_3.4.5_all.deb
Checksums-Sha256: 
 51c199c7ac3391f65f5219e309bcb29d6238f59f719c862e9c9a4e2f8ec2d330 1906 developers-reference_3.4.5.dsc
 af26c979639198954875507e8512a36cc3b490a36d9af8bb9ab9e34c55a5ad85 608140 developers-reference_3.4.5.tar.bz2
 e46db65c9d5b84a3daa586fbce946864af33976b2cfb0730df11215fa846b854 727862 developers-reference_3.4.5_all.deb
 a712ca8082db28a61a6e6e95536f620711217d24e4e254b3dd9773c221c0537b 800986 developers-reference-de_3.4.5_all.deb
 5137de66871253d5df518957b767e3f3552e98aa572377503aa7ccfd4d928a9b 787194 developers-reference-fr_3.4.5_all.deb
 a409758b308dfe21f82af1e64945f1b4e1a3ce2ad90cd068ae649147e2af0692 277530 developers-reference-ja_3.4.5_all.deb
Files: 
 5c4d721ac836dbdb3545d691ad434ece 1906 doc optional developers-reference_3.4.5.dsc
 e6cb866248d4471c70a286c1af945e4c 608140 doc optional developers-reference_3.4.5.tar.bz2
 e9a2019c38d6707e407ff39ac1f9e41b 727862 doc optional developers-reference_3.4.5_all.deb
 1564f9fbb019c0b462c55b5a049d70c6 800986 doc optional developers-reference-de_3.4.5_all.deb
 f2f2df6c307a240f5081bb00f053e437 787194 doc optional developers-reference-fr_3.4.5_all.deb
 479e139d6ec5047c820194d9e98c0632 277530 doc optional developers-reference-ja_3.4.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN/jxkAAoJELgqIXr9/gnyMlEQAIwMxvLMtTUISbpIMr7FD0is
kHV+fFLH8iQRyzxJu40/3y3kbkVx3z2hhbTT6MHEAs+VcZOqZuzcIFCxbTVZS5p4
+/dPTwvYwzVnUpHPBu2CAhKkv4cECHkm/eQpxb/jkKexBjs5aUC3/t2rRuqeJNWu
FDZWEJ6/6LdeiDGCoslmHe+e67+e1KpM3dkme8xKNYHAI1Jnl8VXIwggy/CTuSr3
711EertX9RlR7a75eF1ndjPv/79zLUZ1iHcXXc03IQiEj7zlIznMXqHkUVE6oWwj
gk9es1maiPa1xI9VgzcHR8uV+WLPEkfuYuePsinma7OUOhcnotlTR4X/fRhlC85t
pwjNlQFVN3ccJi8Us/x5xinBtPkVpB7vDKRp7b+IqMh9xrG95ZEzm+nz/lXYjrrk
cPIf2RChJ+yJbiZd3aCsSO7hdMfWl4+mCt1xZQudpS7C4/kMVKdZHo5tnJlwGWkC
Qyg62ld3j9jrfnc+ai/wm3p/vizBydOyh+2MBeMr67iylX0FT28ThiOTofr65isX
fYuGAUaZGfGFS2YYS1rmfQQQgjyBYV6TGLfzme/A58x7r3R/lPrReYY+qrH7VPC5
IFk5oFduZll/sb4gMjnF++Mg81CKCh9SStm0HxBxaYA2DRb4k3MLEyZDNdAude7F
S/7bmRjfRHtpElwCPxwQ
=ds4R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Aug 2011 07:33:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:34:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.